KUBERNETES(1)

NAME

kubectl logs - Print the logs for a container in a pod.

SYNOPSIS

kubectl logs [OPTIONS]

DESCRIPTION

Print the logs for a container in a pod. If the pod has only one container, the container name is optional.

OPTIONS

-c, --container=""
    Container name

-f, --follow=false
    Specify if the logs should be streamed.

--interactive=true
    If true, prompt the user for input when required. Default true.

--limit-bytes=0
    Maximum bytes of logs to return. Defaults to no limit.

-p, --previous=false
    If true, print the logs for the previous instance of the container in a pod if it exists.

--since=0
    Only return logs newer than a relative duration like 5s, 2m, or 3h. Defaults to all logs. Only one of since-time / since may be used.

--since-time=""
    Only return logs after a specific date (RFC3339). Defaults to all logs. Only one of since-time / since may be used.

--tail=-1
    Lines of recent log file to display. Defaults to -1, showing all log lines.

--timestamps=false
    Include timestamps on each line in the log output

OPTIONS INHERITED FROM PARENT COMMANDS

--alsologtostderr=false
    log to standard error as well as files

--api-version=""
    The API version to use when talking to the server

--certificate-authority=""
    Path to a cert. file for the certificate authority.

--client-certificate=""
    Path to a client key file for TLS.

--client-key=""
    Path to a client key file for TLS.

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure.

--kubeconfig=""
    Path to the kubeconfig file to use for CLI requests.

--log-backtrace-at=:0
    when logging hits line file:N, emit a stack trace

--log-dir=""
    If non-empty, write log files in this directory

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--logtostderr=true
    log to standard error instead of files

--match-server-version=false
    Require server version to match client version

--namespace=""
    If present, the namespace scope for this CLI request.

--password=""
    Password for basic authentication to the API server.

-s, --server=""
    The address and port of the Kubernetes API server

--stderrthreshold=2
    logs at or above this threshold go to stderr

--token=""
    Bearer token for authentication to the API server.

--user=""
    The name of the kubeconfig user to use

--username=""
    Username for basic authentication to the API server.

--v=0
    log level for V logs

--vmodule=
    comma-separated list of pattern=N settings for file-filtered logging

EXAMPLE

    # Return snapshot logs from pod nginx with only one container
    $ kubectl logs nginx
    # Return snapshot of previous terminated ruby container logs from pod web-1
    $ kubectl logs -p -c ruby web-1
    # Begin streaming the logs of the ruby container in pod web-1
    $ kubectl logs -f -c ruby web-1
    # Display only the most recent 20 lines of output in pod nginx
    $ kubectl logs --tail=20 nginx
    # Show all logs from pod nginx written in the last hour
    $ kubectl logs --since=1h nginx

SEE ALSO

kubectl(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!